#include <bits/stdc++.h>

using namespace std;

int main()
{   long long a[20005],k,n,p;
    cin>>n>>k;
    for(long long i=1;i<=n;i++){
        cin>>a[i];
        if(a[i]==k)
            p=i;
    }
    if(p==n)
    cout<<a[1];
    else
    cout<<a[p+1];
    

    return 0;
}